<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__whd__stubs_8c" kind="file" language="C++">
    <compoundname>cy_whd_stubs.c</compoundname>
    <includes local="no">stdint.h</includes>
    <includes local="no">stdbool.h</includes>
    <includes local="no">stddef.h</includes>
    <includes local="yes" refid="cy__lpa__compat_8h">cy_lpa_compat.h</includes>
    <includes local="yes" refid="cy__lpa__wifi__ol__common_8h">cy_lpa_wifi_ol_common.h</includes>
    <includes local="yes" refid="cy__lpa__wifi__ol_8h">cy_lpa_wifi_ol.h</includes>
    <includes local="yes" refid="cy__lpa__wifi__arp__ol_8h">cy_lpa_wifi_arp_ol.h</includes>
    <incdepgraph>
      <node id="65">
        <label>stdbool.h</label>
      </node>
      <node id="64">
        <label>stdint.h</label>
      </node>
      <node id="66">
        <label>stddef.h</label>
      </node>
      <node id="63">
        <label>cy_whd_stubs.c</label>
        <link refid="cy__whd__stubs_8c" />
        <childnode refid="64" relation="include">
        </childnode>
        <childnode refid="65" relation="include">
        </childnode>
        <childnode refid="66" relation="include">
        </childnode>
      </node>
    </incdepgraph>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1a7d04b100f6c1be325f6de8c1372fbd33" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_arp_version</definition>
        <argsstring>(whd_t *whd, uint32_t *value)</argsstring>
        <name>whd_arp_version</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>value</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="55" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="50" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="50" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1a04d979781cf53f3a76a7ba59959dab64" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_arp_peerage_get</definition>
        <argsstring>(whd_t *whd, uint32_t *value)</argsstring>
        <name>whd_arp_peerage_get</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>value</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="62" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="57" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="57" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1a0457a8457965e79d43984a2e5caac81c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_arp_peerage_set</definition>
        <argsstring>(whd_t *whd, uint32_t value)</argsstring>
        <name>whd_arp_peerage_set</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>value</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="69" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="64" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="64" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1a0ce3266c8c445c49d0e8aa8f98c4ee7c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_arp_arpoe_get</definition>
        <argsstring>(whd_t *whd, uint32_t *value)</argsstring>
        <name>whd_arp_arpoe_get</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>value</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="76" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="71" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="71" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1a12873f11ce15b8ac97be65ca1193c5c3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_arp_arpoe_set</definition>
        <argsstring>(whd_t *whd, uint32_t value)</argsstring>
        <name>whd_arp_arpoe_set</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>value</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="83" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="78" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="78" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1a684bd9245f66386eb4c8d1d72452cdd5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_arp_cache_clear</definition>
        <argsstring>(whd_t *whd)</argsstring>
        <name>whd_arp_cache_clear</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="89" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="85" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="85" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1ad3fe3d80d117fcedd0ef51a035504fb4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_arp_features_get</definition>
        <argsstring>(whd_t *whd, uint32_t *features)</argsstring>
        <name>whd_arp_features_get</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>features</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="96" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="91" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="91" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1af97ec37782f2fa32ce4a5a473890e41c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_arp_features_set</definition>
        <argsstring>(whd_t *whd, uint32_t features)</argsstring>
        <name>whd_arp_features_set</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>features</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="103" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="98" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="98" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1a43328b4c6eda353a53f50384591054d7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_arp_features_print</definition>
        <argsstring>(uint32_t features, const char *title)</argsstring>
        <name>whd_arp_features_print</name>
        <param>
          <type>uint32_t</type>
          <declname>features</declname>
        </param>
        <param>
          <type>const char *</type>
          <declname>title</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="110" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="105" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="105" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1abcad4cd4b712cfe6bead99cd62e268d6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_arp_hostip_list_add</definition>
        <argsstring>(whd_t *whd, uint32_t *host_ipv4_list, uint32_t count)</argsstring>
        <name>whd_arp_hostip_list_add</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>host_ipv4_list</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>count</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="118" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="112" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="112" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1a942f82db6a54e3d77d276a88c3e98c3d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_arp_hostip_list_add_string</definition>
        <argsstring>(whd_t *whd, const char *ip_addr)</argsstring>
        <name>whd_arp_hostip_list_add_string</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <param>
          <type>const char *</type>
          <declname>ip_addr</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="125" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="120" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="120" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1aa25c0151ecb09183e5906409b8ecfeab" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_arp_hostip_list_clear_id</definition>
        <argsstring>(whd_t *whd, uint32_t ipv4_addr)</argsstring>
        <name>whd_arp_hostip_list_clear_id</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>ipv4_addr</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="132" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="127" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="127" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1a1ed12d3bdd4b72e8c721f6f7a7b25a93" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_arp_hostip_list_clear_id_string</definition>
        <argsstring>(whd_t *whd, const char *ip_addr)</argsstring>
        <name>whd_arp_hostip_list_clear_id_string</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <param>
          <type>const char *</type>
          <declname>ip_addr</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="139" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="134" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="134" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1a6f044aebdb3f7d7fed2a4fec77469518" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_arp_hostip_list_clear</definition>
        <argsstring>(whd_t *whd)</argsstring>
        <name>whd_arp_hostip_list_clear</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="145" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="141" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="141" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1ae9b7f30c9777adb1d1d6869ffae202db" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_arp_hostip_list_get</definition>
        <argsstring>(whd_t *whd, uint32_t count, uint32_t *host_ipv4_list, uint32_t *filled)</argsstring>
        <name>whd_arp_hostip_list_get</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>count</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>host_ipv4_list</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>filled</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="155" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="147" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="147" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1a4d8c28ba9e24c18beae62ccc45021f3a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_arp_stats_clear</definition>
        <argsstring>(whd_t *whd)</argsstring>
        <name>whd_arp_stats_clear</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="161" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="157" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="157" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1a35dfa620edd5a336d4cb30fec25c14af" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_arp_stats_get</definition>
        <argsstring>(whd_t *whd, whd_arp_stats_t *arp_stats)</argsstring>
        <name>whd_arp_stats_get</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <param>
          <type>whd_arp_stats_t *</type>
          <declname>arp_stats</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="168" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="163" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="163" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1a83fb5a7588e84502d600381e13b7c807" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_arp_stats_print</definition>
        <argsstring>(whd_arp_stats_t *arp_stats, const char *title)</argsstring>
        <name>whd_arp_stats_print</name>
        <param>
          <type>whd_arp_stats_t *</type>
          <declname>arp_stats</declname>
        </param>
        <param>
          <type>const char *</type>
          <declname>title</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="175" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="170" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="170" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1a158a1fb7fdf92f59700643062413fd0a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_pf_enable_packet_filter</definition>
        <argsstring>(whd_t *whd, uint8_t filter_id)</argsstring>
        <name>whd_pf_enable_packet_filter</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>filter_id</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="181" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="177" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="177" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1a2be1bc983db7bf6bedeec5d003399f56" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_pf_disable_packet_filter</definition>
        <argsstring>(whd_t *whd, uint8_t filter_id)</argsstring>
        <name>whd_pf_disable_packet_filter</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>filter_id</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="187" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="183" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="183" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1aa8769de6f6bb2d37b051622c2d8b0dde" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_pf_add_packet_filter</definition>
        <argsstring>(whd_t *whd, const whd_packet_filter_t *settings)</argsstring>
        <name>whd_pf_add_packet_filter</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <param>
          <type>const whd_packet_filter_t *</type>
          <declname>settings</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="193" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="189" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="189" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1a29b7dff94c17648553fe61eb451be7ec" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_pf_remove_packet_filter</definition>
        <argsstring>(whd_t *whd, uint8_t filter_id)</argsstring>
        <name>whd_pf_remove_packet_filter</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>filter_id</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="198" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="195" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="195" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1a815699a64ecb5ba2d74640ee4d6d3c62" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_pf_get_packet_filter_mask_and_pattern</definition>
        <argsstring>(whd_t *whd, uint8_t filter_id, uint32_t max_size, uint8_t *mask, uint8_t *pattern, uint32_t *size_out)</argsstring>
        <name>whd_pf_get_packet_filter_mask_and_pattern</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>filter_id</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>max_size</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>mask</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>pattern</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>size_out</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="209" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="200" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="200" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1ad61e6b3009775eeb3fc4f2f80da1e86f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_pf_get_packet_filter_stats</definition>
        <argsstring>(whd_t *whd, uint8_t filter_id, whd_pkt_filter_stats_t *stats)</argsstring>
        <name>whd_pf_get_packet_filter_stats</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>filter_id</declname>
        </param>
        <param>
          <type>whd_pkt_filter_stats_t *</type>
          <declname>stats</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="216" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="211" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="211" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1a2e6597f9667186aeea7114ba33dfae0d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_wifi_get_iovar_value</definition>
        <argsstring>(whd_t *whd, const char *iovar, uint32_t *value)</argsstring>
        <name>whd_wifi_get_iovar_value</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <param>
          <type>const char *</type>
          <declname>iovar</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>value</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="223" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="218" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="218" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1ad15929ef2a363fe0d0e19d9824efb72e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_wifi_set_iovar_value</definition>
        <argsstring>(whd_t *whd, const char *iovar, uint32_t value)</argsstring>
        <name>whd_wifi_set_iovar_value</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <param>
          <type>const char *</type>
          <declname>iovar</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>value</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="230" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="225" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="225" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__stubs_8c_1aeb2fd7490c24d32c106f89c756c66a43" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>CYPRESS_WEAK whd_result_t</type>
        <definition>CYPRESS_WEAK whd_result_t whd_wifi_enable_powersave_with_throughput</definition>
        <argsstring>(whd_t *whd, uint16_t return_to_sleep_delay_ms)</argsstring>
        <name>whd_wifi_enable_powersave_with_throughput</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>return_to_sleep_delay_ms</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="236" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" bodystart="232" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" line="232" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>WHD ARP Offload API. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>1.0</para></simplesect>
<simplesect kind="copyright"><para>Copyright 2020, Cypress Semiconductor Corporation. All rights reserved. You may use this file only in accordance with the license, terms, conditions, disclaimers, and limitations in the end user license agreement accompanying the software package with which this file was provided. </para></simplesect>
</para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="17"><highlight class="preprocessor">#include<sp />&lt;stdint.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="18"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdbool.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="19"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stddef.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_lpa_compat.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_lpa_wifi_ol_common.h"</highlight><highlight class="normal"><sp /></highlight><highlight class="comment">/*<sp />for<sp />whd<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="22"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_lpa_wifi_ol.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_lpa_wifi_arp_ol.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(OLM_NO_HARDWARE)</highlight><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_whd_stubs.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="comment">/********************************************************************</highlight></codeline>
<codeline lineno="33"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="34"><highlight class="comment"><sp />*<sp /><sp />Macros</highlight></codeline>
<codeline lineno="35"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="36"><highlight class="comment"><sp />*********************************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="comment">/*********************************************************************************************</highlight></codeline>
<codeline lineno="39"><highlight class="comment">*</highlight></codeline>
<codeline lineno="40"><highlight class="comment">*<sp /><sp />Data</highlight></codeline>
<codeline lineno="41"><highlight class="comment">*</highlight></codeline>
<codeline lineno="42"><highlight class="comment">*********************************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /><highlight class="comment">/*********************************************************************************************</highlight></codeline>
<codeline lineno="45"><highlight class="comment">*</highlight></codeline>
<codeline lineno="46"><highlight class="comment">*<sp /><sp />Functions</highlight></codeline>
<codeline lineno="47"><highlight class="comment">*</highlight></codeline>
<codeline lineno="48"><highlight class="comment">*********************************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_arp_version(whd_t<sp />*whd,<sp />uint32_t<sp />*value)</highlight></codeline>
<codeline lineno="51"><highlight class="normal">{</highlight></codeline>
<codeline lineno="52"><highlight class="normal"><sp /><sp /><sp /><sp />(void)whd;</highlight></codeline>
<codeline lineno="53"><highlight class="normal"><sp /><sp /><sp /><sp />(void)value;</highlight></codeline>
<codeline lineno="54"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="55"><highlight class="normal">}</highlight></codeline>
<codeline lineno="56"><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_arp_peerage_get(whd_t<sp />*whd,<sp />uint32_t<sp />*value)</highlight></codeline>
<codeline lineno="58"><highlight class="normal">{</highlight></codeline>
<codeline lineno="59"><highlight class="normal"><sp /><sp /><sp /><sp />(void)whd;</highlight></codeline>
<codeline lineno="60"><highlight class="normal"><sp /><sp /><sp /><sp />(void)value;</highlight></codeline>
<codeline lineno="61"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="62"><highlight class="normal">}</highlight></codeline>
<codeline lineno="63"><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_arp_peerage_set(whd_t<sp />*whd,<sp />uint32_t<sp />value)</highlight></codeline>
<codeline lineno="65"><highlight class="normal">{</highlight></codeline>
<codeline lineno="66"><highlight class="normal"><sp /><sp /><sp /><sp />(void)whd;</highlight></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp />(void)value;</highlight></codeline>
<codeline lineno="68"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="69"><highlight class="normal">}</highlight></codeline>
<codeline lineno="70"><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_arp_arpoe_get(whd_t<sp />*whd,<sp />uint32_t<sp />*value)</highlight></codeline>
<codeline lineno="72"><highlight class="normal">{</highlight></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp />(void)whd;</highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp />(void)value;</highlight></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="76"><highlight class="normal">}</highlight></codeline>
<codeline lineno="77"><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_arp_arpoe_set(whd_t<sp />*whd,<sp />uint32_t<sp />value)</highlight></codeline>
<codeline lineno="79"><highlight class="normal">{</highlight></codeline>
<codeline lineno="80"><highlight class="normal"><sp /><sp /><sp /><sp />(void)whd;</highlight></codeline>
<codeline lineno="81"><highlight class="normal"><sp /><sp /><sp /><sp />(void)value;</highlight></codeline>
<codeline lineno="82"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="83"><highlight class="normal">}</highlight></codeline>
<codeline lineno="84"><highlight class="normal" /></codeline>
<codeline lineno="85"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_arp_cache_clear(whd_t<sp />*whd)</highlight></codeline>
<codeline lineno="86"><highlight class="normal">{</highlight></codeline>
<codeline lineno="87"><highlight class="normal"><sp /><sp /><sp /><sp />(void)whd;</highlight></codeline>
<codeline lineno="88"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="89"><highlight class="normal">}</highlight></codeline>
<codeline lineno="90"><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_arp_features_get(whd_t<sp />*whd,<sp />uint32_t<sp />*features)</highlight></codeline>
<codeline lineno="92"><highlight class="normal">{</highlight></codeline>
<codeline lineno="93"><highlight class="normal"><sp /><sp /><sp /><sp />(void)whd;</highlight></codeline>
<codeline lineno="94"><highlight class="normal"><sp /><sp /><sp /><sp />(void)features;</highlight></codeline>
<codeline lineno="95"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="96"><highlight class="normal">}</highlight></codeline>
<codeline lineno="97"><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_arp_features_set(whd_t<sp />*whd,<sp />uint32_t<sp />features)</highlight></codeline>
<codeline lineno="99"><highlight class="normal">{</highlight></codeline>
<codeline lineno="100"><highlight class="normal"><sp /><sp /><sp /><sp />(void)whd;</highlight></codeline>
<codeline lineno="101"><highlight class="normal"><sp /><sp /><sp /><sp />(void)features;</highlight></codeline>
<codeline lineno="102"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="103"><highlight class="normal">}</highlight></codeline>
<codeline lineno="104"><highlight class="normal" /></codeline>
<codeline lineno="105"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_arp_features_print(uint32_t<sp />features,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal"><sp />*title)</highlight></codeline>
<codeline lineno="106"><highlight class="normal">{</highlight></codeline>
<codeline lineno="107"><highlight class="normal"><sp /><sp /><sp /><sp />(void)features;</highlight></codeline>
<codeline lineno="108"><highlight class="normal"><sp /><sp /><sp /><sp />(void)title;</highlight></codeline>
<codeline lineno="109"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="110"><highlight class="normal">}</highlight></codeline>
<codeline lineno="111"><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_arp_hostip_list_add(whd_t<sp />*whd,<sp />uint32_t<sp />*host_ipv4_list,<sp />uint32_t<sp />count)</highlight></codeline>
<codeline lineno="113"><highlight class="normal">{</highlight></codeline>
<codeline lineno="114"><highlight class="normal"><sp /><sp /><sp /><sp />(void)whd;</highlight></codeline>
<codeline lineno="115"><highlight class="normal"><sp /><sp /><sp /><sp />(void)host_ipv4_list;</highlight></codeline>
<codeline lineno="116"><highlight class="normal"><sp /><sp /><sp /><sp />(void)count;</highlight></codeline>
<codeline lineno="117"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="118"><highlight class="normal">}</highlight></codeline>
<codeline lineno="119"><highlight class="normal" /></codeline>
<codeline lineno="120"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_arp_hostip_list_add_string(whd_t<sp />*whd,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal"><sp />*ip_addr)</highlight></codeline>
<codeline lineno="121"><highlight class="normal">{</highlight></codeline>
<codeline lineno="122"><highlight class="normal"><sp /><sp /><sp /><sp />(void)whd;</highlight></codeline>
<codeline lineno="123"><highlight class="normal"><sp /><sp /><sp /><sp />(void)ip_addr;</highlight></codeline>
<codeline lineno="124"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="125"><highlight class="normal">}</highlight></codeline>
<codeline lineno="126"><highlight class="normal" /></codeline>
<codeline lineno="127"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_arp_hostip_list_clear_id(whd_t<sp />*whd,<sp />uint32_t<sp />ipv4_addr)</highlight></codeline>
<codeline lineno="128"><highlight class="normal">{</highlight></codeline>
<codeline lineno="129"><highlight class="normal"><sp /><sp /><sp /><sp />(void)whd;</highlight></codeline>
<codeline lineno="130"><highlight class="normal"><sp /><sp /><sp /><sp />(void)ipv4_addr;</highlight></codeline>
<codeline lineno="131"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="132"><highlight class="normal">}</highlight></codeline>
<codeline lineno="133"><highlight class="normal" /></codeline>
<codeline lineno="134"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_arp_hostip_list_clear_id_string(whd_t<sp />*whd,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal"><sp />*ip_addr)</highlight></codeline>
<codeline lineno="135"><highlight class="normal">{</highlight></codeline>
<codeline lineno="136"><highlight class="normal"><sp /><sp /><sp /><sp />(void)whd;</highlight></codeline>
<codeline lineno="137"><highlight class="normal"><sp /><sp /><sp /><sp />(void)ip_addr;</highlight></codeline>
<codeline lineno="138"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="139"><highlight class="normal">}</highlight></codeline>
<codeline lineno="140"><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_arp_hostip_list_clear(whd_t<sp />*whd)</highlight></codeline>
<codeline lineno="142"><highlight class="normal">{</highlight></codeline>
<codeline lineno="143"><highlight class="normal"><sp /><sp /><sp /><sp />(void)whd;</highlight></codeline>
<codeline lineno="144"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="145"><highlight class="normal">}</highlight></codeline>
<codeline lineno="146"><highlight class="normal" /></codeline>
<codeline lineno="147"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_arp_hostip_list_get(whd_t<sp />*whd,<sp />uint32_t<sp />count,<sp />uint32_t<sp />*host_ipv4_list,</highlight></codeline>
<codeline lineno="148"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />*filled)</highlight></codeline>
<codeline lineno="149"><highlight class="normal">{</highlight></codeline>
<codeline lineno="150"><highlight class="normal"><sp /><sp /><sp /><sp />(void)whd;</highlight></codeline>
<codeline lineno="151"><highlight class="normal"><sp /><sp /><sp /><sp />(void)count;</highlight></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp />(void)host_ipv4_list;</highlight></codeline>
<codeline lineno="153"><highlight class="normal"><sp /><sp /><sp /><sp />(void)filled;</highlight></codeline>
<codeline lineno="154"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="155"><highlight class="normal">}</highlight></codeline>
<codeline lineno="156"><highlight class="normal" /></codeline>
<codeline lineno="157"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_arp_stats_clear(whd_t<sp />*whd)</highlight></codeline>
<codeline lineno="158"><highlight class="normal">{</highlight></codeline>
<codeline lineno="159"><highlight class="normal"><sp /><sp /><sp /><sp />(void)whd;</highlight></codeline>
<codeline lineno="160"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="161"><highlight class="normal">}</highlight></codeline>
<codeline lineno="162"><highlight class="normal" /></codeline>
<codeline lineno="163"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_arp_stats_get(whd_t<sp />*whd,<sp />whd_arp_stats_t<sp />*arp_stats)</highlight></codeline>
<codeline lineno="164"><highlight class="normal">{</highlight></codeline>
<codeline lineno="165"><highlight class="normal"><sp /><sp /><sp /><sp />(void)whd;</highlight></codeline>
<codeline lineno="166"><highlight class="normal"><sp /><sp /><sp /><sp />(void)arp_stats;</highlight></codeline>
<codeline lineno="167"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="168"><highlight class="normal">}</highlight></codeline>
<codeline lineno="169"><highlight class="normal" /></codeline>
<codeline lineno="170"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_arp_stats_print(whd_arp_stats_t<sp />*arp_stats,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal"><sp />*title)</highlight></codeline>
<codeline lineno="171"><highlight class="normal">{</highlight></codeline>
<codeline lineno="172"><highlight class="normal"><sp /><sp /><sp /><sp />(void)arp_stats;</highlight></codeline>
<codeline lineno="173"><highlight class="normal"><sp /><sp /><sp /><sp />(void)title;</highlight></codeline>
<codeline lineno="174"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="175"><highlight class="normal">}</highlight></codeline>
<codeline lineno="176"><highlight class="normal" /></codeline>
<codeline lineno="177"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_pf_enable_packet_filter(whd_t<sp />*whd,<sp />uint8_t<sp />filter_id)</highlight></codeline>
<codeline lineno="178"><highlight class="normal">{</highlight></codeline>
<codeline lineno="179"><highlight class="normal"><sp /><sp /><sp /><sp />(void)filter_id;</highlight></codeline>
<codeline lineno="180"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="181"><highlight class="normal">}</highlight></codeline>
<codeline lineno="182"><highlight class="normal" /></codeline>
<codeline lineno="183"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_pf_disable_packet_filter(whd_t<sp />*whd,<sp />uint8_t<sp />filter_id)</highlight></codeline>
<codeline lineno="184"><highlight class="normal">{</highlight></codeline>
<codeline lineno="185"><highlight class="normal"><sp /><sp /><sp /><sp />(void)filter_id;</highlight></codeline>
<codeline lineno="186"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="187"><highlight class="normal">}</highlight></codeline>
<codeline lineno="188"><highlight class="normal" /></codeline>
<codeline lineno="189"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_pf_add_packet_filter(whd_t<sp />*whd,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />whd_packet_filter_t<sp />*settings)</highlight></codeline>
<codeline lineno="190"><highlight class="normal">{</highlight></codeline>
<codeline lineno="191"><highlight class="normal"><sp /><sp /><sp /><sp />(void)settings;</highlight></codeline>
<codeline lineno="192"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="193"><highlight class="normal">}</highlight></codeline>
<codeline lineno="194"><highlight class="normal" /></codeline>
<codeline lineno="195"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_pf_remove_packet_filter(whd_t<sp />*whd,<sp />uint8_t<sp />filter_id)</highlight></codeline>
<codeline lineno="196"><highlight class="normal">{</highlight></codeline>
<codeline lineno="197"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="198"><highlight class="normal">}</highlight></codeline>
<codeline lineno="199"><highlight class="normal" /></codeline>
<codeline lineno="200"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_pf_get_packet_filter_mask_and_pattern(whd_t<sp />*whd,<sp />uint8_t<sp />filter_id,<sp />uint32_t<sp />max_size,</highlight></codeline>
<codeline lineno="201"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*mask,<sp />uint8_t<sp />*pattern,<sp />uint32_t<sp />*size_out)</highlight></codeline>
<codeline lineno="202"><highlight class="normal">{</highlight></codeline>
<codeline lineno="203"><highlight class="normal"><sp /><sp /><sp /><sp />(void)filter_id;</highlight></codeline>
<codeline lineno="204"><highlight class="normal"><sp /><sp /><sp /><sp />(void)max_size;</highlight></codeline>
<codeline lineno="205"><highlight class="normal"><sp /><sp /><sp /><sp />(void)mask;</highlight></codeline>
<codeline lineno="206"><highlight class="normal"><sp /><sp /><sp /><sp />(void)pattern;</highlight></codeline>
<codeline lineno="207"><highlight class="normal"><sp /><sp /><sp /><sp />(void)size_out;</highlight></codeline>
<codeline lineno="208"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="209"><highlight class="normal">}</highlight></codeline>
<codeline lineno="210"><highlight class="normal" /></codeline>
<codeline lineno="211"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_pf_get_packet_filter_stats(whd_t<sp />*whd,<sp />uint8_t<sp />filter_id,<sp />whd_pkt_filter_stats_t<sp />*stats)</highlight></codeline>
<codeline lineno="212"><highlight class="normal">{</highlight></codeline>
<codeline lineno="213"><highlight class="normal"><sp /><sp /><sp /><sp />(void)filter_id;</highlight></codeline>
<codeline lineno="214"><highlight class="normal"><sp /><sp /><sp /><sp />(void)stats;</highlight></codeline>
<codeline lineno="215"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="216"><highlight class="normal">}</highlight></codeline>
<codeline lineno="217"><highlight class="normal" /></codeline>
<codeline lineno="218"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_wifi_get_iovar_value(whd_t<sp />*whd,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal"><sp />*iovar,<sp />uint32_t<sp />*value)</highlight></codeline>
<codeline lineno="219"><highlight class="normal">{</highlight></codeline>
<codeline lineno="220"><highlight class="normal"><sp /><sp /><sp /><sp />(void)iovar;</highlight></codeline>
<codeline lineno="221"><highlight class="normal"><sp /><sp /><sp /><sp />(void)value;</highlight></codeline>
<codeline lineno="222"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="223"><highlight class="normal">}</highlight></codeline>
<codeline lineno="224"><highlight class="normal" /></codeline>
<codeline lineno="225"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_wifi_set_iovar_value(whd_t<sp />*whd,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal"><sp />*iovar,<sp />uint32_t<sp />value)</highlight></codeline>
<codeline lineno="226"><highlight class="normal">{</highlight></codeline>
<codeline lineno="227"><highlight class="normal"><sp /><sp /><sp /><sp />(void)iovar;</highlight></codeline>
<codeline lineno="228"><highlight class="normal"><sp /><sp /><sp /><sp />(void)value;</highlight></codeline>
<codeline lineno="229"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="230"><highlight class="normal">}</highlight></codeline>
<codeline lineno="231"><highlight class="normal" /></codeline>
<codeline lineno="232"><highlight class="normal">CYPRESS_WEAK<sp />whd_result_t<sp />whd_wifi_enable_powersave_with_throughput(whd_t<sp />*whd,<sp />uint16_t<sp />return_to_sleep_delay_ms)</highlight></codeline>
<codeline lineno="233"><highlight class="normal">{</highlight></codeline>
<codeline lineno="234"><highlight class="normal"><sp /><sp /><sp /><sp />(void)return_to_sleep_delay_ms;</highlight></codeline>
<codeline lineno="235"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />WHD_IOCTL_FAIL;</highlight></codeline>
<codeline lineno="236"><highlight class="normal">}</highlight></codeline>
<codeline lineno="237"><highlight class="normal" /></codeline>
<codeline lineno="238"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="239"><highlight class="normal">}</highlight></codeline>
<codeline lineno="240"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="241"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_stubs.c" />
  </compounddef>
</doxygen>